<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from number_multgroupmod.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="number_multgroupmod" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>number_multgroupmod</refname><refpurpose>Returns the multiplicative group modulo m.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   Z = number_multgroupmod ( m )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>m :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, must be greater or equal than 1.</para></listitem></varlistentry>
   <varlistentry><term>Z :</term>
      <listitem><para> a eulerphi-by-1 matrix of floating point integers, the multiplicative group modulo m.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
The elements of the multiplicative group modulo m are the
integers a in the set {1,2,...,m} which are coprime
(i.e. relatively prime) to m.
That is, for every a in Z, the output of
   </para>
   <para>
<screen>
number_coprime ( a , m )
</screen>
   </para>
   <para>
is true.
   </para>
   <para>
The number of rows in Z, i.e. the size of the multiplicative group,
is number_eulertotient(m).
   </para>
   <para>
This is a group under multiplication,
that is, if a and b are in Z, therefore a*b (mod m) is in Z.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// See the multiplicative group modulo 10
// 1.    3.    7.    9.
Z = number_multgroupmod(10)
// The number of entries in this group is
Z = number_eulertotient(10)
// See that this is a multiplicative group.
modulo(3*7,10)
modulo(3*9,10)
modulo(7*9,10)

// See the multiplicative group modulo 14
// 1.    3.    5.    9.    11.    13.
Z = number_multgroupmod(14)
// Its size is phi(14)=6
number_eulertotient(14)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2012 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
